# 刀劍神域 碎夢邊境 / 소드 아트 온라인 프랙처드 데이드림 1.5.2.0
# BID: 2EEE840599DC7021

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x8676768, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 1)", "TruncDec(FRAMETIME_TARGET, 1)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x86B12E0, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x7EB0F88, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing